Subject: bug#79058: 30.1; involking signal using emacsclient takes very long time to complete ~2 seconds

From: Bror Winther <[email-masked]>
Date: Tue, 22 Jul 2025 20:01:36 +0200

> On 22 Jul 2025, at 15.35, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Bror Winther <[email-masked]>
>> Date: Tue, 22 Jul 2025 14:26:12 +0200
>> Cc: [email-masked]
>> 
>>>> My understanding was that the error might not have been written by emacsclient to stderr and thus 
>>>> we just wait and hope the user sees it. From your comment I guess we wait for the client to show
>>>> it which makes a bit more sense.
>>> 
>>> No, we wait for the _server_ to show it in the client frame.
>> 
>> How does that work when the client frame is a tty? Not the sense of emacs in the terminal but
>> using --eval.
>> I’m asking to understand why we waiting in exactly that scenario is fitting.
> 
> Sorry, I don't understand the question.  Even if the client frame is a
> tty, it is the Emacs server that displays there, not emacsclient.
> emacsclient doesn't display anything on that frame, it just sends the
> command to the server.

Let me see if I understand correctly and thank you for your patience with me.
I was under the impression that using --eval would not create a client frame
so your statement confuses me a bit.
I can’t wrap my head around the necessity of the wait in the case of --eval. 
When you call --eval and encounter an error there is no output in the terminal
during the wait time. So let me rephrase my question, what are we waiting for?

> 
>>> A variable has a doc string, so it is not undocumented.  It just isn't
>>> a user option.
>> 
>> 
>> Good point. The I concur, I’ll make a new patch.
> 
> Thanks.

Yeah no problem. Thank you for taking the time to help me understand